## org.eclipse.emf.ecore.xml.type.internal
Class DataValue.Base64

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.DataValue.Base64

Enclosing class:
  DataValue

    public static final class DataValue.Base64

extends java.lang.Object

Constructor Summary
`DataValue.Base64()`

Method Summary
`static byte[]` `decode(java.lang.String encoded)` Decodes Base64 data into octects
`static java.lang.String` `encode(byte[] binaryData)` Encodes hex octects into Base64
`protected static boolean` `isBase64(char octect)`
`protected static boolean` `isData(char octect)`
`protected static boolean` `isPad(char octect)`
`protected static boolean` `isWhiteSpace(char octect)`
`protected static int` `removeWhiteSpace(char[] data)` remove WhiteSpace from MIME containing encoded Base64 data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataValue.Base64

    public DataValue.Base64()

Method Detail

### isWhiteSpace

    protected static boolean isWhiteSpace(char octect)

### isPad

    protected static boolean isPad(char octect)

### isData

    protected static boolean isData(char octect)

### isBase64

    protected static boolean isBase64(char octect)

### encode

    public static java.lang.String encode(byte[] binaryData)

  Encodes hex octects into Base64

  Parameters:
    `binaryData` - Array containing binaryData
  Returns:
    Encoded Base64 array

### decode

    public static byte[] decode(java.lang.String encoded)

  Decodes Base64 data into octects

  Parameters:
    `encoded` -
  Returns:
    Array containind decoded data.

### removeWhiteSpace

    protected static int removeWhiteSpace(char[] data)

  remove WhiteSpace from MIME containing encoded Base64 data.

  Parameters:
    `data` - the byte array of base64 data (with WS)
  Returns:
    the new length

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.